vertx / io.vertx.kotlin.amqpbridge / amqpBridgeOptionsOf

# amqpBridgeOptionsOf

`fun amqpBridgeOptionsOf(connectTimeout: Int? = null, containerId: String? = null, crlPaths: Iterable<String>? = null, crlValues: Iterable<Buffer>? = null, enabledCipherSuites: Iterable<String>? = null, enabledSaslMechanisms: Iterable<String>? = null, enabledSecureTransportProtocols: Iterable<String>? = null, heartbeat: Int? = null, hostnameVerificationAlgorithm: String? = null, idleTimeout: Int? = null, idleTimeoutUnit: TimeUnit? = null, jdkSslEngineOptions: JdkSSLEngineOptions? = null, keyStoreOptions: JksOptions? = null, localAddress: String? = null, logActivity: Boolean? = null, maxFrameSize: Int? = null, metricsName: String? = null, openSslEngineOptions: OpenSSLEngineOptions? = null, pemKeyCertOptions: PemKeyCertOptions? = null, pemTrustOptions: PemTrustOptions? = null, pfxKeyCertOptions: PfxOptions? = null, pfxTrustOptions: PfxOptions? = null, proxyOptions: ProxyOptions? = null, receiveBufferSize: Int? = null, reconnectAttempts: Int? = null, reconnectInterval: Long? = null, replyHandlingSupport: Boolean? = null, reuseAddress: Boolean? = null, reusePort: Boolean? = null, sendBufferSize: Int? = null, sniServerName: String? = null, soLinger: Int? = null, ssl: Boolean? = null, sslHandshakeTimeout: Long? = null, sslHandshakeTimeoutUnit: TimeUnit? = null, tcpCork: Boolean? = null, tcpFastOpen: Boolean? = null, tcpKeepAlive: Boolean? = null, tcpNoDelay: Boolean? = null, tcpQuickAck: Boolean? = null, trafficClass: Int? = null, trustAll: Boolean? = null, trustStoreOptions: JksOptions? = null, useAlpn: Boolean? = null, usePooledBuffers: Boolean? = null, vhost: String? = null, virtualHost: String? = null): AmqpBridgeOptions`

A function providing a DSL for building io.vertx.amqpbridge.AmqpBridgeOptions objects.

Options for configuring the AmqpBridge.

### Parameters

`connectTimeout` - Set the connect timeout

`containerId` - Sets the value to use as the container-id field in the AMQP Open frame. Some servers and clients use this for the concept of a 'Client ID'. Defaults to null, which indicates a value will be generated by the bridge when the underlying connection is made.

`crlPaths` - Add a CRL path

`crlValues` - Add a CRL value

`enabledCipherSuites` - Add an enabled cipher suite, appended to the ordered suites.

`enabledSaslMechanisms` -

`enabledSecureTransportProtocols` - Sets the list of enabled SSL/TLS protocols.

`heartbeat` -

`hostnameVerificationAlgorithm` - Set the hostname verification algorithm interval To disable hostname verification, set hostnameVerificationAlgorithm to an empty String

`idleTimeout` - Set the idle timeout, default time unit is seconds. Zero means don't timeout. This determines if a connection will timeout and be closed if no data is received within the timeout. If you want change default time unit, use io.vertx.amqpbridge.AmqpBridgeOptions

`idleTimeoutUnit` - Set the idle timeout unit. If not specified, default is seconds.

`jdkSslEngineOptions` -

`keyStoreOptions` - Set the key/cert options in jks format, aka Java keystore.

`localAddress` - Set the local interface to bind for network connections. When the local address is null, it will pick any local address, the default local address is null.

`logActivity` - Set to true to enabled network activity logging: Netty's pipeline is configured for logging on Netty's logger.

`maxFrameSize` -

`metricsName` - Set the metrics name identifying the reported metrics, useful for grouping metrics with the same name.

`openSslEngineOptions` -

`pemKeyCertOptions` - Set the key/cert store options in pem format.

`pemTrustOptions` - Set the trust options in pem format

`pfxKeyCertOptions` - Set the key/cert options in pfx format.

`pfxTrustOptions` - Set the trust options in pfx format

`proxyOptions` - Set proxy options for connections via CONNECT proxy (e.g. Squid) or a SOCKS proxy.

`receiveBufferSize` - Set the TCP receive buffer size

`reconnectAttempts` - Set the value of reconnect attempts

`reconnectInterval` - Set the reconnect interval

`replyHandlingSupport` - Sets whether the bridge should try to enable support for sending messages with a reply handler set, and replying to messages using the message reply methods. Defaults to true. If the server does not advertise support for 'anonymous sender' links then the bridge won't support reply handling regardless of this setting.

`reuseAddress` - Set the value of reuse address

`reusePort` - Set the value of reuse port. This is only supported by native transports.

`sendBufferSize` - Set the TCP send buffer size

`sniServerName` -

`soLinger` - Set whether SO_linger keep alive is enabled

`ssl` - Set whether SSL/TLS is enabled

`sslHandshakeTimeout` - Set the SSL handshake timeout, default time unit is seconds.

`sslHandshakeTimeoutUnit` - Set the SSL handshake timeout unit. If not specified, default is seconds.

`tcpCork` - Enable the TCP_CORK option - only with linux native transport.

`tcpFastOpen` - Enable the TCP_FASTOPEN option - only with linux native transport.

`tcpKeepAlive` - Set whether TCP keep alive is enabled

`tcpNoDelay` - Set whether TCP no delay is enabled

`tcpQuickAck` - Enable the TCP_QUICKACK option - only with linux native transport.

`trafficClass` - Set the value of traffic class

`trustAll` - Set whether all server certificates should be trusted

`trustStoreOptions` - Set the trust options in jks format, aka Java truststore

`useAlpn` - Set the ALPN usage.

`usePooledBuffers` - Set whether Netty pooled buffers are enabled

`vhost` - Sets the value to use as the hostname field in the AMQP Open frame. Defaults to null, which indicates the hostname value given when starting the bridge will be used to populate the hostname field.

`virtualHost` -